Bug 1977304 - ara fails to build with Sphinx 4.0.2
Summary: ara fails to build with Sphinx 4.0.2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ara
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Moreau Simard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS F36FTBFS PYTHON3.10 1973718
TreeView+ depends on / blocked
 
Reported: 2021-06-29 12:41 UTC by Karolina Surma
Modified: 2021-08-24 16:04 UTC (History)
2 users (show)

Fixed In Version: ara-1.5.7-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-24 16:04:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Karolina Surma 2021-06-29 12:41:08 UTC
ara fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ sphinx-build -b html doc/source doc/build/html
Running Sphinx v4.0.2
making output directory... done
building [mo]: targets for 0 po files that are out of date
building [html]: targets for 14 source files that are out of date
updating environment: [new config] 14 added, 0 changed, 0 removed
reading sources... [  7%] ansible-configuration
reading sources... [ 14%] ansible-plugins-and-use-cases
reading sources... [ 21%] api-configuration
reading sources... [ 28%] api-documentation
reading sources... [ 35%] api-security
reading sources... [ 42%] api-usage
reading sources... [ 50%] changelog-release-notes
reading sources... [ 57%] cli
reading sources... [ 64%] container-images
reading sources... [ 71%] contributing
reading sources... [ 78%] distributed-sqlite-backend
reading sources... [ 85%] faq
reading sources... [ 92%] getting-started
reading sources... [100%] index
looking for now-outdated files... none found
pickling environment... done
checking consistency... done
preparing documents... done
writing output... [  7%] ansible-configuration
writing output... [ 14%] ansible-plugins-and-use-cases
Exception occurred:
  File "/usr/lib/python3.10/site-packages/sphinx/highlighting.py", line 127, in get_lexer
    lexer = lexer_classes[lang](**opts)
TypeError: 'AnsibleYamlLexer' object is not callable


For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/ara/

You can test you package using Koji scratch build
koji build --scratch <srpm>

For details regarding the Sphinx change, see https://fedoraproject.org/wiki/Changes/Sphinx4
Let us know here if you have any questions. Thank you!

Comment 1 David Moreau Simard 2021-07-12 16:44:20 UTC
Hi, thanks for the report. This is tracked in the upstream project as https://github.com/ansible-community/ara/issues/277.

I have not taken care of it yet but plan to investigate and fix it upstream in the somewhat not-too-distant future.

Comment 2 David Moreau Simard 2021-07-20 15:16:30 UTC
I've proposed a fix upstream to resolve the issue with sphinx: https://github.com/ansible-community/ara/pull/290

It'll be merged soon and be included in the next release (1.5.7).

Comment 3 Ben Cotton 2021-08-10 13:09:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 4 Karolina Surma 2021-08-24 16:04:10 UTC
I see ara 1.5.7 is now present in all supported Fedora versions, ergo closing the ticket.


Note You need to log in before you can comment on or make changes to this bug.